Subject: Re: [PATCH v6 3/9] ssh signing: retrieve a default key from ssh-agent

From: Junio C Hamano <[email-masked]>
Date: Thu, 29 Jul 2021 12:56:17 -0700

Josh Steadmon <[email-masked]> writes:

> Rather than making this behavior the default, could it instead be
> enabled only if the signing key is set to "use-ssh-agent" or something
> similar?

Interesting.  But is it too much trouble to find out the string that
is used to identify the ssh key you want to use to sign, which would
make it worth supporting "use-ssh-agent" feature?  Unless you want
to use multiple keys in a single project, and choose one of them
depending on whatever condition, and find it convenient to specify
the key-of-the-day by loading it to your ssh-agent, I do not quite
see why you'd want to explicitly configure it to "use-ssh-agent" and
not the actual key (either the textual key itself or some key-id to
choose one of your keys).  Care to clarify your expected use case a
bit more?

Thanks.